.TH "mca_pml_teg_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_pml_teg_t \- TEG PML module.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_teg.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_pml_base_module_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_component_t\fP ** \fBteg_ptl_components\fP"
.br
.ti -1c
.RI "size_t \fBteg_num_ptl_components\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP ** \fBteg_ptl_modules\fP"
.br
.ti -1c
.RI "size_t \fBteg_num_ptl_modules\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_component_progress_fn_t\fP * \fBteg_ptl_progress\fP"
.br
.ti -1c
.RI "size_t \fBteg_num_ptl_progress\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBteg_procs\fP"
.br
.ti -1c
.RI "\fBopal_mutex_t\fP \fBteg_lock\fP"
.br
.ti -1c
.RI "int \fBteg_priority\fP"
.br
.ti -1c
.RI "int \fBteg_free_list_num\fP"
.br
.ti -1c
.RI "int \fBteg_free_list_max\fP"
.br
.ti -1c
.RI "int \fBteg_free_list_inc\fP"
.br
.ti -1c
.RI "int \fBteg_poll_iterations\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBteg_send_requests\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBteg_recv_requests\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBteg_send_pending\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
TEG PML module. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
